<?php
/**
* Implementation of the User Value Object (User V.O.).
* In order to be an actual VO class here we DO NOT define any setter method:
* this makes sure that a VO can not be modifed after being filled with the database data (using the constructor).
* 
* Notiche that a VO class is just a wrapper class which do not allow data modification.
*/
class UserVO {
	
	// Array bundling all user data
	private $all_data 	;

	// List of all user columns
	private	$id 		;
	private	$first_name	;
	private	$last_name 	;
	private	$company	;
	private	$address	;
	private	$town		;
	private	$province	;
	private	$cap		;
	private	$country	;
	private	$telephone1 ;
	private	$telephone2 ;
	private	$mobile1	;
	private	$mobile2	;
	private	$fax		;
	private	$regIP	 	;
	private	$regDate	;
	private	$login	 	;
	private	$password	;
	private	$role		;
	private	$note		;
	
/********************************************************************************************
/****************************			CONSTRUCTORS				*************************
/********************************************************************************************

	/**
	* Main constructor
	*/
	function __construct($data) {
	
		$this->all_data		= $data		;
		$this->id 			= $data[0 ] ;
		$this->first_name 	= $data[1 ] ;
		$this->last_name	= $data[2 ] ;
		$this->company		= $data[3 ] ;
		$this->address		= $data[4 ] ;
		$this->town			= $data[5 ] ;
		$this->province		= $data[6 ] ;
		$this->cap			= $data[7 ] ;
		$this->country		= $data[8 ] ;
		$this->telephone1	= $data[9 ] ;
		$this->telephone2	= $data[10] ;
		$this->mobile1		= $data[11] ;
		$this->mobile2		= $data[12] ;
		$this->fax			= $data[13] ;
		$this->regIP		= $data[14] ;
		$this->regDate		= $data[15] ;
		$this->login		= $data[16] ;
		$this->password		= $data[17] ;
		$this->role			= $data[18] ;
		$this->note			= $data[19] ;
	}

/********************************************************************************************
/****************************			ACCESSORS					*************************
/********************************************************************************************
	
	/** Getter method.																		*/
    public function getID() 		{		return $this->id ; 								}
	
	/** Getter method.																		*/
    public function getFirstName() 	{		return $this->first_name ;						}

	/** Getter method.																		*/
    public function getLastName() 	{		return $this->last_name ; 						}
	
	/** Getter method.																		*/
    public function getCompany()	{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getAddress() 	{		return $this->email ;							}

	/** Getter method.																		*/
    public function getTown() 		{		return $this->email ;							}

	/** Getter method.																		*/
    public function getProvince() 	{		return $this->email ;							}

	/** Getter method.																		*/
    public function getCap() 		{		return $this->email ;							}

	/** Getter method.																		*/
    public function getContry() 	{		return $this->email ;							}

	/** Getter method.																		*/
    public function getTelephone1()	{		return $this->email ;							}

	/** Getter method.																		*/
    public function getTelephone2() {		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getMobile1()	{		return $this->email ;							}

	/** Getter method.																		*/
    public function getMobile2() 	{		return $this->email ;							}

	/** Getter method.																		*/
    public function getFax()		{		return $this->email ;							}

	/** Getter method.																		*/
    public function getEmail() 		{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getRegIP() 		{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getRegDate() 	{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getLogin() 		{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getPassword()	{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getRole() 		{		return $this->email ;							}
	
	/** Getter method.																		*/
    public function getNotes() 		{		return $this->email ;							}
	
/********************************************************************************************
/****************************				TESTING					*************************
/********************************************************************************************

	/** Test method.																		*/
    public function getCustomer() {		
	
		return array($this->id, $this->first_name, $this->last_name, $this->email) ;
	}

	/** Test method.																		*/
    public function getAllData() 	{		return $this->all_data ;						}
	
} // End of class
?>