<?php 

	/** 
	* The general help page (introduction to the help pages).
	*/

	include '../include/session_header.php' ; 				// Including pages that take care of the session
	include '../include/display_header.php' ;				// Defining layout and loading the left menu  
?>

<div class="content_01">

<h3 class="centered" style="WIDTH:220px;">INFORMAZIONI GENERALI</h3>

<p>Le azioni permesse agli utenti sono:<p/>
<ul>
<li>Consultare lo stato delle spedizioni in tempo reale, per conoscere i tempi di consegna e pianificare le altre spedizioni</li>
<li>Modificare la modalit&agrave; della consegna (la modifica verr&agrave; notificata in automatico)</li>
<li>Gestire le credenziali di accesso al sistema (da parte degli utenti coi privilegi di ammistratori)</li>
</ul>

<p>Le funzioni principali del servizio sono:</p>

<br/>

<figure class="float_right" style="MARGIN:10px 0px 0px 20px;">
<img src="../images/help/help-row.png"  style="WIDTH:300px; HEIGHT:150px;" alt="Screenshot tabella" title="Selezionare una spedizione"/>
<figcaption class="fig-caption">Selezionare una spedizione</figcaption>
</figure>

<p class="help-label">Consultazione</p>

<p>
Cliccando sulla voce "spedizioni", nel men&ugrave; di sinistra,
l'utente pu&ograve; consultare l'elenco delle spedizioni a lui destinate. Inoltre &egrave; possibile visualizzare i dati 
di una singola spedizione cliccando su una riga della tabella, quanto questa &egrave; evidenziata in giallo (vedi figura a lato).
In tal modo si aprir&agrave; la scheda coi dettagli della spedizione selezionata.
</p>

<br/>

<p class="help-label">Ricerca</p>

<p>
Permette di cercare una spedizione conoscendo almeno uno dei seguenti parametri: mittente, data, numero di riferimento.
Notare che la data pu&ograve; indicara la data del DDT, dell'ordine, dell'appuntamento in filiale, dell'appuntamento 
per la consegna oppure la data di consegna (se gi&agrave; avvenuta). Allo stesso modo, la ricerca sul numero di riferimento
fornir&agrave; come risultato tutte le spedizioni aventi la cifra specificata nel DDT o nell'ordine.
</p>

<p>Per maggiori informazioni:</p>
<a class="Help_Link" href="../help/update_help.php">Come modificare i dati di una spedizione</a><br/>
<a class="Help_Link" href="../help/mail_help.php">Informazioni sulle notifiche via e-mail</a>

</div>

<?php include '../include/display_footer.php' ?>