<?php 
	/** 
	* The help page explaining the general behaviour of the notificaion system.
	*/

	include '../include/session_header.php' ; 			// Including pages that take care of the session
	include '../include/database_header.php' ;			// Managing database connections    
	include '../include/carriers_DAO.php';				// Used just to access some global static strings (labels)
	include '../include/display_header.php' ;			// Defining layout and loading the left menu  

	// Defining custom labels
	include '../include/carriers_labels.php' ;				
?>

<div class="content_01">

<h3 class="centered" style="WIDTH:300px;">INVIO DELLE NOTIFICHE VIA MAIL</h3>

<p>
Ogni volta che l'utente cambia i dati di una spedizione (ancora da effettuare), il sistema provvede ad inviare
una notifica via e-mail all'amministratore del sistema.
</p>

<p>
L'invio di questa e-mail &egrave; completamente automatico, perci&ograve; l'utente non deve far altro che modificare 
i dati della spedizione (tramite il men&ugrave; "spedizioni"), dopodich&eacute; il sistema comunicher&agrave; all'
amministratore l'avvenuta modifica dei parametri.
</p>

<br/>

<p><a class="Help_Link" href="../help/mail_preview.php?code=0&type=1">Esempio di e-mail inviata all'amministratore</a></p>

</div>

<?php include '../include/display_footer.php' ?>