<style>
/* Used only when PHP $show_all flag is false */
p.title {
  color: darkblue;
  font-size: 20px;
  font-weight: bold;
  width: 100px;
  margin-left: auto;
  margin-right: auto;
}
/* Used only when PHP $show_all flag is false */
p.subtitle {
  font-size: 12px;
  text-align: center;
  margin: -10px 0px 30px 0px;
}
</style>

<?php
	// Show all info, or specific sections
	$show_all = true ;
	
	if ($show_all) {
		phpinfo() ;
	} else {
		echo '<p class="title">INFO_GENERAL</p>' ;
		echo '<p class="subtitle">The configuration line, php.ini location, build date, Web Server, System and more</p>' ;
		phpinfo(INFO_GENERAL) ;
		echo '<hr/>' ;
		
		echo '<p class="title">INFO_CONFIGURATION</p>' ;
		echo '<p class="subtitle">Current Local and Master values for PHP directives. See also ini_get()</p>' ;
		phpinfo(INFO_CONFIGURATION) ;
		echo '<hr/>' ;
		
		echo '<p class="title">INFO_MODULES</p>' ;
		echo '<p class="subtitle">Loaded modules and their respective settings. See also get_loaded_extensions()</p>' ;
		phpinfo(INFO_MODULES) ;
		echo '<hr/>' ;
		
		// etc...
		// See: http://php.net/manual/en/function.phpinfo.php
	}
?>