<?php
// Draws a brand new image with a "splash" message
function createImage($message) {

	// Remark: this quits execution if display_errors is On !!!
	//$check = imagecreatefromjpeg('not_existing_image.png');
      
	// Create a blank WHITE image
	//$im  	= imagecreate(200, 100) ;				
	// Create a blank BLACK image
	$im  	= imagecreatetruecolor(400, 200) ;
	$red 	= imagecolorallocate($im, 255, 0, 0) ;
	$blue 	= imagecolorallocate($im, 0, 0, 255) ;
	$white 	= imagecolorallocate($im, 255, 255, 255) ;
	// Create white inner rectangle
	imagefilledrectangle($im, 10, 10, 390, 190, $white) ;
	// Add a string to the image
	imagestring($im, 5, 50, 90, $message, $blue) ;
    return $im ;
}

// Creating the work directory
function createDirectory($name) {
	if ( !file_exists($name) ) {
		mkdir($name) ;
	}
}

// Threat this page as an ordinary image resource.
// Remark: does not work if we produce some HTML element before this line!
header('Content-Type: image/png') ;
// Calls the functions above
createDirectory("temp") ;
$img = createImage('Hello World !') ;
// Renders the image in the browser
imagepng($img) ;
// Produce a file version of the image
imagepng($img, 'temp/hello-world.png') ;
// Destroy the image footprint from the server memory
imagedestroy($img) ;
?>
