<?php 
	$root 	= '../../' ;
	include $root.'include/session_guest.php' ; 			// Including pages that take care of the session
	include $root.'include/display_header.php' ;			// Defining layout and loading the left menu  
?>

<article style="PADDING: 0px 20px;">

<p class="general-title"><strong>SOAP EXAMPLES</strong></p>
<p>
This page contains some example of SOAP web services using the <strong>NuSOAP</strong> PHP library (version 0.95).
Here you can find some very simple webservices, named:
</p>
<ul>
<li><a href="server/hellowsdl.php"><em>Hello</em> "echo" service</a>&nbsp;(<code>hellowsdl.php</code>)</li>
<li><a href="server/server.php"><em>Calculator</em> service</a>&nbsp;(<code>server.php</code>)</li>
</ul>
<p>
Both services are located in the <code>server</code> folder. Notice that the second service (<code>server.php</code>) 
includes the <code>functions.php</code> page in order to show how to include external libraries.
</p>

<p>Some examples client calls:</p>

<ul>
<li><a href="test_1.php">Calling the Hello "echo" service</a></li>
<li><a href="test_2.php">Calling the Calculator service</a></li>
<li><a href="test_3.php">Calling the Template service (1)</a>&nbsp;
(from the <a href="http://adriani.altervista.org/work/template_ws.php" title="Template Web Service on Adriani Home Page">Template</a> Web Service)</li>
<li><a href="test_4.php">Calling the Template service (2)</a>&nbsp;
(from the <a href="http://adriani.altervista.org/work/template_ws.php" title="Template Web Service on Adriani Home Page">Template</a> Web Service)</li>
</ul>

<p>
<strong>Remark:</strong> the last 2 calls can be executed only if you downloaded the Template web services and the service 
is running on a local Tomcat installation (with Axis2) on port 8080.
</p>

<p><strong>Some Web references:</strong></p>
<a href="http://www.scottnichol.com/nusoapprogwsdl.htm">Tutorial</a><br/>
<a href="http://onlamp.com/pub/a/php/2003/07/03/php_amazon_soap.html">Example 1</a><br/>
<a href="http://www.builderau.com.au/program/php/soa/Powerful-Web-Services-with-PHP-and-SOAP/0,339028448,339288552,00.htm">Example 2</a><br/>
<a href="http://www.ferdychristant.com/blog/articles/DOMM-6J2QFF">Example 3</a><br/>

</article>

<?php include $root.'include/display_footer.php' ?>