<?php	  
	/** 
	* This page receives always the action from the "users_confirm.php" page.
	* In any case, parameters are received through a HTML FORM, hence data as retrieved using the POST method.
	* Record chosen by the user are stored in INPUT fields named "record<n>".
	* This page retrieves all the input parameters and executes the DELETE statement, then shows
	* the result of the operation.
	*/

	include '../include/session_header.php'; 	// Including pages that take care of the session and paging  
	include '../include/database_header.php' ;	// Managing database connections  
	include '../include/users_DAO.php';			// Including pages managing the customers table (DAO layer)
	include '../include/display_header.php' ;	// Defining layout, images and loading the left menu  
?>

<script language="JavaScript">
// Appending the users CSS at run-time
linkElement 		= document.createElement("link") ;
linkElement.rel 	= "stylesheet" ;
linkElement.href 	= "../css/users.css" ; 
document.head.appendChild(linkElement) ;
</script>

<?php
	// 1. Recognizing the action selected by the user (HTML FORM)
	$delta 		= 10 ;
	$columns 	= 4 ;
	$span 		= $columns + 1 ;
	if ( isset($_SESSION['USER_VIEW']) ) 	$mode = $_SESSION['USER_VIEW'] ;
	else									$mode = 1 ;

	// 2. Customizing table layout
	include '../include/users_labels.php' ;
	print "<p class='td_customers_title'>CANCELLAZIONE $labelTitle</p>" ;
	print "<br/>" ;
  
	// 3. Identifying which records are affected by the operation
	$index 	= 0 ;
	$chosen = array() ;
	foreach ($_POST as $row => $value) {
		if ($value == "yes") {
			$chosen[$index] = substr($row, 6) ;
			$index++ ;
		}
	}
	// Keep for testing or debug
	//print_r(array_values($chosen)) ;
  
	// 4. Updating customers'data in the database
	$done = deleteCustomers($chosen) ;
	$total = mysql_affected_rows() ;
	print "<p class='td_customers_title'>" ;
	if ($done == TRUE) {
		print "Operazione eseguita con successo" ;
		// Refreshing page numbers
		formatPage($mode, "", "users") ;
	}
	else print "Si &egrave; verificato un problema tecnico: operazione fallita" ;
	print "</p>" ;

	// 5. Printing table only if data are available  
	if ($total >= 1) {
		print "<p class='td_customers_title'>" ;
		if ($total == 1) print "E' stato cancellato 1 $label_01" ;
		else print "Sono stati cancellati $total $label_02" ;
		print "</p>" ;
	} 
	releaseAll() ;
?>

<br/><br/><?php include 'users_goback.php' ;  ?><br/>
  
<?php include '../include/display_footer.php' ?>