<?php	  
	/** 
	* This page allows to the user to insert parameters for the carrier search, these vales will be send
	* to the "carriers_list" page where they will be processed.
	* Notice that the "where" clause is constructed by the "carriers_DAO" page, which is included in the
	* "carriers_list" page.
	*/

	include '../include/session_header.php' ; 		// Including pages that take care of the session and database  
	include '../include/database_header.php' ;		// Managing database connections  
	include '../include/carriers_DAO.php' ;			// Including pages managing the carriers table (DAO layer)
	include '../include/display_header.php' ;		// Defining layout, images and loading the left menu    

	// Getting users view mode (users or administrators)
	if ( isset($_SESSION['USER_VIEW']) ) 	$mode = $_SESSION['USER_VIEW'] ;
	else									$mode = 1 ;

	// This depends by the "view mode" -> must be included after defining the $mode variable
	include '../include/carriers_labels.php' ;   	// Customizing table layout
	
	// TODO: valutare se migliorare come suggerito qui:
	// http://azadcreative.com/2010/11/designing-search-boxes-html5-css3/
?> 

<script language="JavaScript">
// Appending the users CSS at run-time
linkElement 		= document.createElement("link") ;
linkElement.rel 	= "stylesheet" ;
linkElement.href 	= "../css/carriers.css" ;
document.head.appendChild(linkElement) ;
</script>

<p class='td_carriers_title'>RICERCA <?php echo $labelTitle ;?></p>

<br/>

<nav class="carrier_search">
<form name="searchForm" action="carriers_list.php" method="post">
<p class="label">Inserisci il nominativo del cliente;</p>
<input type="text" name="who" value="">
<!-- input type="search" name="who" placeholder="Cerca..."/ -->
<br/><br/>
<p class="label">Inserisci la data della spedizione:</p>
<input type="text" name="when" value="">
<!-- input type="search" name="where" placeholder="Cerca..."/ -->
<br/><br/>
<p class="label">Inserisci il numero di riferimento:</p>
<input type="text" name="what" value="">
<!-- input type="search" name="what" placeholder="Cerca..."/ -->
<br/><br/>
<p class="centered" style="WIDTH:170px;">
<input class="confirm" type="submit" name="button" value="INIZIA LA RICERCA"/>
</p>
</form>
</nav>

<br/><?php include 'carriers_goback.php' ;  ?><br/>

<?php include '../include/display_footer.php' ?>