<?php 
	/** 
	* The help page showing an example for the e-mail notificaion.
	* Notice that this page is available also to the "carriers_update.php" page, if the user wants to
	* looK the e-mail (after that it's been just sent).
	*/

	include '../include/session_header.php' ; 			// Including pages that take care of the session
	include '../include/database_header.php' ;			// Managing database connections
	include '../include/display_header.php' ;			// Defining layout and loading the left menu  
	include '../include/users_DAO.php';					// Including pages managing the customers table (DBA layer)      
	include '../include/carriers_DAO.php';				// Including pages managing the carriers table (DBA layer)  

	// Defining custom labels
	include '../include/carriers_labels.php' ;
 
	// Defining data layout
	$hash = getCustomersTable() ;
	if (isset($_GET['code'])) $code = $_GET['code'] ; else $code = 0 ;
	if (isset($_GET['type'])) $type = $_GET['type'] ; else $type = 1 ;
  
	// Getting data
	if (($code > 0) && ($type == 1)) {
		$recordSet = getCarrier($code) ;
		$values = mysql_fetch_row($recordSet) ;
	} else $values[0] = $code ;
	
	// Producing a "demo mail"
	if ($code == 0) {
		$values[0]	= 42 ;
		$values[3]	= getMaxCustomer() ;
		$values[4]	= $values[3] ;
		$values[13]	= "2012-11-27" ;
		$values[15]	= "Nessuna nota particolare" ;
	}  
	
	// Invoking function from the "database_header.php" file
	$message = notifyByMail($values, $type, $hash, FALSE) ;
?>

<h3 class="centered" style="WIDTH:250px;">EMAIL DI NOTIFICA (esempio)</h3>

<br/>

<div class="centered" style="WIDTH:560px; BORDER:0px dashed silver;">
<table border="1px" cellpadding="5px">
<tr><td><pre>To: <?php print $message[0]; ?></pre></td></tr>
<tr><td><pre>Oggetto:&nbsp;<?php print $message[1]; ?></pre></td></tr>
<tr><td><pre><?php print $message[2]; ?></pre></td></tr>
</table>
</div>

<br/>

<p class="centered" style="WIDTH:220px;">
<a href="../carriers/carriers_list.php">Torna all'elenco <?php print $labelLink ; ?></a>
</p>

<br/>

<?php include '../include/display_footer.php' ?>