<?php 
	/** 
	*The help page explaining how the user can update the carrier's data.
	*/

	include '../include/session_header.php' ; 				// Including pages that take care of the session
	include '../include/database_header.php' ;				// Managing database connections    
	include '../include/display_header.php' ;				// Defining layout and loading the left menu  
	include '../include/carriers_DAO.php' ;					// Used just to access some global static strings (labels)

	// Defining custom labels
	include '../include/carriers_labels.php' ;
?>

<div class="content_01">

<h3 class="centered" style="WIDTH:400px;">CONDIZIONI DI MODIFICA DELLE SPEDIZIONI</h3>

<p>L'utente pu&ograve; modificare i seguenti parametri della spedizione:</p>

<ul><li>
<span class="help-label">Data dell'appuntamento</span>:
la data dell'appuntamento deve essere modificata  con almeno <?php print $anticipation ; ?> ore di anticipo 
(rispetto alla consegna). Come orario indicativo per la consegna vengono assunte le ore <?php print $deliveryTime ; ?>:00, 
questo orario non a nulla a che fare con la consegna vera e propria, ma serve a stabilire se l'utente
pu&ograve; o non pu&ograve; cambiare la data dell'appuntamento.<br>
<i>Esempio</i>: se l'anticipo minimo richiesto  di 24 ore (1 giorno), allora fino alle ore 
<?php print $deliveryTime ; ?>:00 &egrave possibile fissare la consegna per il giorno immediatamente successivo 
alla data odierna (cio&egrave; domani), perch&eacute; mancano pi&ugrave; di 24 ore all'appuntamento. 
Invece, dopo le ore <?php print $deliveryTime ; ?>:00, sar&agrave; possibile solamente fissare l'appuntamento
a due giorni da oggi (cio&egrave; dopodomani), o nei giorni successivi.
</li><li>
<span class="help-label">Note</span>:
informazioni aggiuntive sulle modalit&agrave; di spedizione.
</li></ul>

<p>
&Egrave; possibile modificare solamente le spedizioni <font class="Help_Remark">non ancora consegnate</font>, 
ovvero quelle per le quali il campo "data consegna" non &egrave; indicato, oppure riporta una data collocata nel futuro 
(che in questo caso rappresenta una data ipotetica).
</p>

<p><a class='Help_Link' href='../carriers/carriers_list.php'>Consulta l'elenco <?php print $labelLink ; ?></p>

</div>

<?php include '../include/display_footer.php' ?>