<?php
	/** 
	* This page is included in every other page by the "display_header.php" page.
	* In this way all pages shares the same left menu.
	*/
  
	$tutorial 	= true ;		// Optional: including the "Tutorial" menu
	$demo		= false ;  		// Optional: including the "Demo Login" example (not distributed with the public version)
	
	// Keep for testing or debug
	// echo "Log status: $logStatus" ;
?>

<script type="text/javascript">
// Remark: after the Ajax call we can NOT load the landing page (i.e. "users_list.php") because such page
// could be loaded before the end of the remote call => we must use the "done" callback!
// TODO: improve this, to avoid people reading the source of this page and hacking the view!
function openUsersList() {
	$.ajax( {type:"POST", url:"../backend/set_session.php",	data:("USER_VIEW=1") } ).done(function ( data ) {
		window.location.href = "<?php echo $root ?>users/users_list.php" ;
		// Keep for testing or debug
		// window.location.href = "<?php echo $root ?>backend/show_session.php" ;
	});
}
function openAdmisList() {
	$.ajax( {type:"POST", url:"../backend/set_session.php",	data:("USER_VIEW=0") } ).done(function ( data ) {
		window.location.href = "<?php echo $root ?>users/users_list.php" ;
		// Keep for testing or debug
		// window.location.href = "<?php echo $root ?>backend/show_session.php" ;
	});
}
</script>

<div class="menu_bar">
	<p class="menu_caption"><br/>Home</p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>home/home.php">Home</a></p>
<?php 
	// Administrator Menu
	if ( isset($logStatus) && isset($_SESSION[$logStatus]) && ($_SESSION[$logStatus] == 0) ) {		
?>
	<p class="menu_caption"><br/>Amministrazione</p>
	<p class="menu_entry"><a class="menu_link" href="#" onclick="openUsersList()">Clienti</a></p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>carriers/carriers_list.php?reset=1">Spedizioni</a></p>
	<p class="menu_entry"><a class="menu_link" href="#" onclick="openAdmisList()">Amministratori</a></p>
	<!-- p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>backend/show_session.php">Settings</a></p -->
<?php 
	// User Menu
	} elseif ( isset($logStatus) && isset($_SESSION[$logStatus]) && ($_SESSION[$logStatus] == 1) ) {		
?>
	<p class="menu_caption"><br/>Clientela</p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>carriers/carriers_list.php">Spedizioni</a></p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>carriers/carriers_search.php">Ricerca</a></p>
<?php 
	} 
	// Common menu (both user and administrators)
	if ( isset($logStatus) && isset($_SESSION[$logStatus]) ) {
?>
	<p class="menu_caption"><br/>Aiuto</p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>help/general_help.php">Informazioni</a></p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>help/update_help.php">Modifiche</a></p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>help/mail_help.php">E-mail</a></p>
<?php 
	}
	// Tutorial menu
	if (isset($tutorial) && ($tutorial)) {
?>
	<p class="menu_caption"><br/>Tutorials</p>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>test/test_php.php">PHP</a></p>
<?php	
		// Including the DAO tutorial only if the user is logged in
		if ( isset($logStatus) && isset($_SESSION[$logStatus]) ) {	
?>
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>test/dao/01-test-dao.php">DAO</a></p>	
<?php	}			?>	
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>test/soap/index.php">SOAP</a></p>
<?php 
		// Demo login
		if (isset($demo) && ($demo)) {
?>		
	<p class="menu_entry"><a class="menu_link" href="<?php echo $root ?>demo/demo.php">Demo Login</a></p>
<?php 
		}	
	}	
?>
</div>	