<?php
	/** 
	* This page can be included in every page AFTER the display header, in order to show some statistics 
	* about the database.
	*/

	if (!isset($fromLogin)) include '../include/users_DAO.php';			// Including pages managing the users table
	include '../include/carriers_DAO.php';								// Including pages managing the carriers table (DAO layer)  

	// Retrieving data  
	$customers 		= countCustomers(1, "") ;
	$administrators = countCustomers(0, "") ;
	$carriers 		= countCarriers("") ;
	$minValue 		= floor($customers/10) + 1 ;
	$maxValue 		= ceil($customers/4) ;
	$online 		= rand($minValue, $maxValue);
?>

<br/>

<hr width="90%"/>

<div align="center">
<table border="0px" cellpadding="0px" cellspacing="0px" width="90%">
  <tbody>
    <tr>
      <td width="50px"	class="small">Utenti:</td>
      <td width="150px" class="small"><?php echo $customers; ?></td>
      <td width="100px" class="small">Amministratori:</td>
      <td width="142px" class="small""><?php echo $administrators; ?></td>
      <td width="50px"	class="small">On-line:</td>
      <td width="143px" class="small"><?php echo $online; ?></td>      
      <td width="70px"	class="small">Spedizioni:</td>
      <td width="36px"  class="small"><?php echo $carriers; ?></td>
    </tr>
  </tbody>
</table>
</div>

<hr width="90%"/>