<?php 
// Configuration
$text_size 		= 10 ;
$padding		= 8 ;
$text_width 	= imagefontwidth($text_size) ;
$text_height 	= imagefontheight($text_size) ;
$label 			= 'Test image delivered within an HTML page!' ;
$width 			= strlen($label) ;
$width_px 		= $text_width * $width ;
$img_1 			= imagecreate($width_px + 2*$padding, $text_height + 2*$padding) ;
$img_2 			= imagecreate($width_px + 2*$padding, $text_height + 2*$padding) ;
$background_1 	= imagecolorallocate($img_1, 0, 0, 0) ;
$background_2 	= imagecolorallocate($img_2, 0, 0, 0) ;
$color_1 		= imagecolorallocate($img_1, 0, 255, 50) ;
$color_2	 	= imagecolorallocate($img_2, 0, 255, 50) ;

// Producing image (in the server's memory)
imagestring($img_1, $text_size, $padding, $padding, $label, $color_1) ;

// Using some custom fonts (on Windows)
$font_size 	= 12 ;
$font_slope = 2 ;
$pos_h		= 30 ;
$pos_v		= 25 ;
imagettftext($img_2, $font_size ,$font_slope , $pos_h, $pos_v, $color_2, "C:\Windows\Fonts\arial.ttf", $label) ;

// Delivering images on the file system
imagejpeg($img_1, "temp/img_1.jpg") ;
imagejpeg($img_2, "temp/img_2.jpg") ;
imagedestroy($img_1) ;
imagedestroy($img_2) ;

// Rendering images
echo '<body style="padding:50px;">' ;
echo '<img src=\'temp/img_1.jpg\' title=\'See PHP source to acknowledge drawing functions\'>' ;
echo '<br/><br/>' ;
echo '<img src=\'temp/img_2.jpg\' title=\'See PHP source to acknowledge drawing functions\'>' ;
?>