<?php
	$root			= '../../' ;
	$thumb_width	= 200 ;
	$thumb_height	= 100 ;
	$img_file 		= $root.'images/test/red.png' ;
	$source 		= imagecreatefrompng($img_file) ;
	$source_w		= imagesx($source) ;
	$source_h		= imagesy($source) ;
	$scale			= min($thumb_width/$source_w, $thumb_height/$source_h) ;

	if ($scale < 1) {
		$new_width 	= floor($scale*$source_w) ;
		$new_height = floor($scale*$source_h) ;
		$tmp_img 	= imagecreatetruecolor($new_width, $new_height) ;
		// Resizing
		imagecopyresized($tmp_img, $source, 0, 0, 0, 0, $new_width, $new_height, $source_w, $source_h) ;
		imagedestroy($source) ;
		$source = $tmp_img ;
	}

	header("Content-type: image/jpeg") ;
	imagepng($source) ;
?>