<?php	
	$root = "../../ " ;
	// Including libraries
	include_once 	'test_header.php' ;	
?>

<h3>PHP Magic Constants</h3>

<p>
This page just print the values of PHP Magic Constants, such as <code>__DIR__</code>, <code>__FILE__</code> etc.<br/>
The values of the Magic Constants are printed by a function <code>showMagicConstants()</code>, defined in this page.<br/>
This function is invoked twice (see <em>first run</em> and <code>second run</code>) in order to show that all these
values do not change within the same page.
</p>

<?php 
	function showMagicConstants() {
	
		echo '<table width="800px;" border="1px">' ;
		echo '<tr>' ;
		echo '<td>__LINE__</td><td>'.__LINE__.'</td>' ;
		echo '</tr><tr>' ;
		echo '<td>__DIR__</td><td>'.__DIR__.'</td>' ;
		echo '</tr><tr>' ;
		echo '<td>__FILE__</td><td>'.__FILE__.'</td>' ;
		echo '</tr><tr>' ;
		echo '<td>__FUNCTION__</td><td>'.__FUNCTION__.'</td>' ;
		echo '</tr><tr>' ;
		echo '<td>__METHOD__</td><td>'.__METHOD__.'</td>' ;
		echo '</tr><tr>' ;
		if (__CLASS__ != null) echo '<td>__CLASS__</td><td>'.__CLASS__.'</td>'; 
		else echo '<td>__CLASS__</td><td>Undefined</td>' ;
		echo '</tr><tr>' ;
		if (phpversion() > 5.3) {
			echo '</tr><tr>' ;
			echo '<td>__NAMESPACE__</td><td>'.__NAMESPACE__.'</td>' ;
		}
		if (phpversion() > 5.4) {
			echo '</tr><tr>' ;
			echo '<td>__TRAIT__</td><td>'.__TRAIT__.'</td>' ;
		}
		echo '</tr><tr>' ;
		echo '</table>' ;
	}
	
	echo '<strong>First run</strong>' ;
	showMagicConstants() ;
	echo '<br/>' ;
	echo '<strong>Second run</strong>' ;
	showMagicConstants() ;
  	
?>

<?php include 'test_footer.php' ?>