<?php
// Pull in the NuSOAP code
require_once("../nusoap-0.9.5/lib/nusoap.php");
// Create the server instance
$server = new soap_server();
// Initialize WSDL support
$server->configureWSDL('hellowsdl', 'tns:hellowsdl');
// Register the method to expose
$server->register('hello',                // method name
    array('name' => 'xsd:string'),        // input parameters
    array('return' => 'xsd:string'),      // output parameters
    'tns:hellowsdl',                      // namespace
    'tns:hellowsdl#hello',                // soapaction
    'rpc',                                // style
    'encoded',                            // use
    'Returns hello name'            	  // documentation
);
// Define the method as a PHP function
function hello($name) {
        return 'Hello, ' . $name.' !!!';
}
// Use the request to (try to) invoke the service
$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';
$server->service($HTTP_RAW_POST_DATA);
?>
