<?php	  
	/** 
	* This page allows to the user to insert parameters for the customer search, these vales will be send
	* to the "users_list" page where they will be processed.
	* Notice that the "where" clause is constructed by the "customers_DAO" page, which is included in the
	* "users_list" page.
	*/

	include '../include/session_header.php' ; 		// Including pages that take care of the session and database  
	include '../include/database_header.php' ;		// Managing database connections  
	include '../include/users_DAO.php' ;			// Including pages managing the customers table (DAO layer)
	include '../include/display_header.php' ;		// Defining layout, images and loading the left menu    

	// Getting users view mode (users or administrators)
	if ( isset($_SESSION['USER_VIEW']) ) 	$mode = $_SESSION['USER_VIEW'] ;
	else									$mode = 1 ;

	// This depends by the "view mode" -> must be included after defining the $mode variable
	include '../include/users_labels.php' ;  		// Customizing table layout

	// TODO: valutare se migliorare come suggerito qui:
	// http://azadcreative.com/2010/11/designing-search-boxes-html5-css3/
?> 

<script language="JavaScript">
// Appending the users CSS at run-time
linkElement 		= document.createElement("link") ;
linkElement.rel 	= "stylesheet" ;
linkElement.href 	= "../css/users.css" ;
document.head.appendChild(linkElement) ;
</script>

<p class='td_customers_title'>RICERCA <?php echo $labelTitle ;?></p>

<br/>

<nav class="user_search">
<form name="searchForm" action="users_list.php" method="post">
<p class="label">Inserisci il nome o cognome:</p>
<input type="text" name="who"/>
<!-- input type="search" name="who" placeholder="Cerca..."/ -->
<br/><br/>
<p class="label">Inserisci la localit&agrave; geografica:</p>
<input type="text" name="where"/>
<!-- input type="search" name="where" placeholder="Cerca..."/ -->
<br/><br/>
<p class="centered" style="WIDTH:170px;">
<input class="confirm" type="submit" name="button" value="INIZIA LA RICERCA"/>
</p>
</form>
</nav>

<br/><?php include 'users_goback.php' ;  ?><br/>
  
<?php include '../include/display_footer.php' ;  ?>